Subject: [bug#49965] Correct Input type for Common Lisp packages

From: Guillaume Le Vaillant <[email-masked]>
Date: Fri, 13 Aug 2021 07:33:36 +0000

Charles <[email-masked]> skribis:

> Thank you for the valuble information. There is a small misunderstanding:
> the console log is from my pure guix system; I just needed to do a guix
> upgrade sbcl. Never-the-less, common lisp packages added in an ad-hoc
> environment can't be found.

It looks like "$GUIX_ENVIRONMENT/etc" does not get added to
XDG_CONFIG_DIRS in an ad-hoc environment when sbcl is not in the list
of ad-hoc packages, which is why it fails to find some Lisp libraries.

In other words, this works:

  guix environment --ad-hoc sbcl sbcl-cl-str --
    sbcl --eval '(require :asdf)' --eval '(asdf:load-system "str")'

But this doesn't work:

  guix environment --ad-hoc sbcl-cl-str --
    sbcl --eval '(require :asdf)' --eval '(asdf:load-system "str")'